Compare commits

..

No commits in common. "6993bf5d27b6e8fc4fe3ce435ef93fafefffc6f2" and "7edefbf28185d23633e198ba6847348db88f8bca" have entirely different histories.

View File

@ -16,8 +16,7 @@ fi
# Get file names, options and passed-through args # Get file names, options and passed-through args
basedir="." basedir="."
files="" files=""
opts="-Wall opts=""
-pedantic"
shebang_mode="" shebang_mode=""
at_args="" at_args=""
args="" args=""
@ -84,14 +83,14 @@ cleanup() {
tmpfile="$(mktemp -t "cscript.XXXXXXXXXX")" tmpfile="$(mktemp -t "cscript.XXXXXXXXXX")"
printf "%s" "$files" | xargs -d'\n' sed "s@^#!@//#!@g" -i printf "%s" "$files" | xargs -d'\n' sed "s@^#!@//#!@g" -i
trap 'cleanup; exit 130' INT trap 'cleanup; exit 130' INT
if ! printf "%s\n%s" "$files" "$opts" | xargs -d'\n' cc -o "$tmpfile"; then if ! printf "%s\n%s" "$files" "$opts" | xargs -d'\n' cc -Wall -pedantic -o "$tmpfile"; then
cleanup cleanup
exit 1 exit 1
fi fi
if [ -n "$CSCRIPT_GDB" ]; then if [ -n "$CSCRIPT_GDB" ]; then
printf "%s" "$args" | xargs -o -d'\n' gdb --args "$tmpfile" printf "%s" "$args" | xargs -o -d'\n' gdb --args "$tmpfile"
else else
printf "%s" "$args" | xargs -o -d'\n' "$tmpfile" printf "%s" "$args" | xargs -d'\n' "$tmpfile"
fi fi
trap - INT trap - INT
cleanup cleanup